/**********************************************************
***********************************************************
*				European Southern Observatory
*			 	VLTI Data Reduction Software
*
* Module name:	errorHandling.h
* Description:	
*
*
* History:		
* 23-Jul-03		(csabet) Created
***********************************************************
**********************************************************/
#ifndef _ERROR_HANDLING_H
#define _ERROR_HANDLING_H

/**********************************************************
*	Include files
**********************************************************/
#include "midiLib.h"

/**********************************************************
*	Constant definitions
**********************************************************/

/**********************************************************
*	Global Variables 
**********************************************************/

/**********************************************************
*	Type definitions 
**********************************************************/

/*	Memory struct (contains all information on current memory usage)
------------------------------------------------------------------*/
void abortIfError(
	int		errcode,
	char	*message);

void midiReportError(
	FILE		*filePtr,
	const char	source[],
	const char		*fileName,
	int			lineNumber,
	const char		*message);

void midiReportWarning(
	FILE		*filePtr,
	const char	source[],
	const char		*fileName,
	int			lineNumber,
	const char		*message);

void midiReportInfo(
	FILE		*filePtr,
	const char	source[],
	const char		*fileName,
	int			lineNumber,
	const char		*message);

void midiReportTbd (
	FILE		*filePtr,
    const char  routineName[],
    const char		*fileName,
    int			lineNumber,
    const char		*task);

/*********************************************************/
/*********************************************************/
#endif
