/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  estimationFrgHSUndisp.h
* Description:
*
*
* History:
* 16-Jul-04     (csabet) Added more prototypes
* 12-Dec-03     (csabet) Added more prototypes
* 03-Sep-03     (csabet) Created the prototypes for Jeff. Further modification
*               shall be his responsibility
***********************************************************
**********************************************************/
#ifndef _ESTIMATION_FRG_HS_UNDISP_H
#define _ESTIMATION_FRG_HS_UNDISP_H

/**********************************************************
*   Include files
**********************************************************/
#include "midiLib.h"

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void estimateFrgHSUndisp (
    CompressedData		*compressedInterf,
    CompressedData		*compressedPhotA,
    CompressedData		*compressedPhotB,
    FilterData			*filterinfo,
    ImageFormat			*formatInterf,
    ImageFormat			*formatPhotomA,
    ImageFormat			*formatPhotomB,
    RawVisibility		*rawVis,
    PhotometryResult	*photometry);

void accumulatePowerSpectra (
    int         region,
    ImageFormat *imageformat,
    float       *eachSpectrum,
    int         *scanRangeMask,
    int         numOfScansProcessed,
    float       *accumPS);

float estimateCorrelatedFlux2 (
    ImageFormat *imageFormat,
    float       *accumPS,
    float       bandwidth,
    int         loFreq,
    int         hiFreq,
    float       noiselev);

float estimateCorrelatedFlux (
    ImageFormat *imageFormat,
    float       *accumPS,
    int         loFreq,
    int         hiFreq,
    float       noiselev);

/*********************************************************/
#endif
/*********************************************************/

