/**********************************************************
***********************************************************
*				European Southern Observatory
*		     VLTI MIDI Data Reduction Software
*
* Module name:	iauWrite.h
* Description:	Definitions of data structures for iauWrite
*
*
* History:		
* 10-Jul-03		(csabet) Created.
***********************************************************
**********************************************************/
#ifndef _IAU_WRITE_H
#define _IAU_WRITE_H

/******************************************************************************
*	Compiler directives
******************************************************************************/

/**********************************************************
*	Include files
**********************************************************/

/**********************************************************
*	Constant definitions
**********************************************************/

/**********************************************************
*	Global Variables 
**********************************************************/

/**********************************************************
*	Type definitions 
**********************************************************/

/**********************************************************
*	Function Prototypes
**********************************************************/
void writeOiArray (
	char	*outFitsName,
	OiArray	*array,
	int 	*status);

void writeOiTarget (
	char		*outFitsName,
	OiTarget	*targets, 
	int 		*status);
	
void writeOiWavelength (
	char			*outFitsName,
	OiWavelength 	*wave, 
	int 			*status);
	
void writeOiVis (
	char	*outFitsName,
	OiVis 	*vis, 
	int 	*status);
	
void writeOiVis2 (
	char	*outFitsName,
	OiVis2 	*vis2, 
	int 	*status);
	
void writeOiT3 (
	char	*outFitsName,
	OiT3 	*t3, 
	int 	*status);

/*********************************************************/
#endif
/*********************************************************/
