/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  preProcKappa.h
* Description:
*
*
* History:
* 05-Dec-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _PREPROC_KAPPA_H
#define _PREPROC_KAPPA_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void preProcKappa (
	UserOptions		*options,
    FilterData		*filterInfo,
    MidiFiles		*fileNames,
    CompressedData	*compressedInterfA,
    CompressedData	*compressedInterfB,
    CompressedData	*compressedPhotomA,
    CompressedData	*compressedPhotomB,
    ImageFormat		*formatInterfA,
    ImageFormat		*formatInterfB,
    ImageFormat		*formatPhotomA,
    ImageFormat		*formatPhotomB,
    int				*error);

void organiseKappa (
	const char				*shutter,
	int					newFile,
	int					extNumOfImagingDataFile,
    MidiFiles			*fileNames,
	int					extNumOfImagingDataMask,
    char				*maskFile,
    ImageFormat			*localFormat,
    ImageFormat			*formatInterf,
    CompressedData		*compressedInterf,
    CompressedData		*compressedPhotom,
    int					*error);

int compressKappa (
    const char			*shutter,
    char			*inFitsFile,
    char			*maskFile,
    int				extNumOfImagingDataFile,
    int				extNumOfImagingDataMask,
    CompressedData	*compressedInterf,
    CompressedData	*compressedPhotom,
    int				newSet,
    ImageFormat		*format,
    int				numOfFramesMax,
    int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

