/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  procFrgHS.h
* Description:
*
*
* History:
* 21-Jul-03     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _PROC_FRG_HS_H
#define _PROC_FRG_HS_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void procFrgHS (
   MidiFiles	        *fileNames,
   UserOptions	        *options,
   int			*error,
   cpl_parameterlist    *parlist,
   cpl_frameset         *frameset);

void postProcFringe (
   MidiFiles		*fileNames,
   FilterData		*filterInfo,
   CompressedData	*compressedInterf,
   CompressedData	*compressedPhotomA,
   CompressedData	*compressedPhotomB,
   ImageFormat		*formatInterf,
   ImageFormat		*formatPhotomA,
   ImageFormat		*formatPhotomB,
   DispersedResult	*dispResult,
   int			*error,
   cpl_parameterlist    *parlist,
   cpl_frameset         *frameset,
   CorrectedFrames   *corrFrames);


void postProcFrgHSUndisp (
   MidiFiles		*fileNames,
   CompressedData	*compressedInterf,
   CompressedData	*compressedPhotomA,
   CompressedData	*compressedPhotomB,
   FilterData		*filterInfo,
   ImageFormat		*formatInterf,
   ImageFormat		*formatPhotomA,
   ImageFormat		*formatPhotomB,
   int			*error,
   cpl_parameterlist    *parlist,
   cpl_frameset         *frameset);

void cleanupFrgHS (
    enum ProcessingMode	processing,
    ImageFormat			*formatInterf,
    ImageFormat			*formatPhotomA,
    ImageFormat			*formatPhotomB,
    CompressedData		*compressedInterf,
    CompressedData		*compressedPhotomA,
    CompressedData		*compressedPhotomB,
	DispersedResult		*dispResult,
    int					*error,
    CorrectedFrames     *corrFrames);

void finaliseRejectListInterf (
    const char			*dataKey,
    ImageFormat 	*format,
    CompressedData	*compressed,
	int				*error);

void finaliseRejectListPhotom (
    const char			*dataKey,
    ImageFormat 	*format,
    CompressedData	*compressed,
	int				*error);

cpl_error_code midiSaveCorrelatedFlux(IauExchange *iauData,
		DispersedResult *dispResult, cpl_parameterlist *parlist,
		cpl_frameset *frameset);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

