/**********************************************************
***********************************************************
*				European Southern Observatory
*		     VLTI MIDI Data Reduction Software
*
* Module name:	transferFunction.h
* Description:	
*
*
* History:		
* 24-Sep-03		(csabet) 
***********************************************************
**********************************************************/
#ifndef _TRANSFER_FUNCTION_H
#define _TRANSFER_FUNCTION_H

/**********************************************************
*	Include files
**********************************************************/
#include "midiLib.h"

/**********************************************************
*	Constant definitions
**********************************************************/

/**********************************************************
*	Global Variables 
**********************************************************/

/**********************************************************
*	Type definitions 
**********************************************************/

/**********************************************************
*	Function Prototypes
**********************************************************/
void estimateTransferFunction (
   ImageFormat		*formatInterf,
   MidiFiles		*fileNames,
   DispersedResult	*dispResult,
   CalibratorParam	*calibrator,
   int			*error,
   cpl_parameterlist    *parlist,
   cpl_frameset         *frameset);

void estimateTransferFunctionUndisp (
   MidiFiles		*fileNames,
   RawVisibility	*measVis,
   TransferFunction	*trf,
   CalibratorParam	*calibrator,
   int			*error,
   cpl_parameterlist    *parlist,
   cpl_frameset         *frameset);

void identifyCalibrator (
   MidiFiles      	*fileNames,
   CalibratorParam	*calibrator,
   int			*error,
   cpl_parameterlist    *parlist,
   cpl_frameset         *frameset);

void getCalibratorDiameter (
   MidiFiles		*fileNames,
   CalibratorParam	*calibrator,
   int			*error,
   cpl_parameterlist    *parlist,
   cpl_frameset         *frameset);

void computeExpectedVis (
    CalibratorParam	*calibrator,
	int				*error);

double computeBesselK1o1 (
    double xArg,
    double xArgErr,
    double *besselK1o1Err);

void computeBinnedTrf (
    ImageFormat        *format,
    DispersedResult    *dispResult,
    int                *error);

/*********************************************************/
#endif
/*********************************************************/

